<?php
/**
 * The header for our theme
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @package Salal
 */
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}
	
?><!DOCTYPE html>
    <html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="https://gmpg.org/xfn/11">

        <?php wp_head(); ?>
    </head>

    <body <?php body_class(); ?>>
		 
        <div id="page" class="site">
            <a class="skip-link screen-reader-text" href="#content">
                <?php esc_html_e( 'Skip to content', 'salal' ); ?>
            </a>

            <?php do_action( 'salal_top_bar' ); ?>
            <?php do_action( 'salal_header_search' ); ?>
            <?php do_action( 'salal_before_header' ); ?>

            <header id="masthead" class="site-header">

                <div id="main-navigation-wrap" class="primary-navigation-wrap">
                    <div id="main-navigation-container" class="primary-navigation-container container">

                        <?php get_template_part( 'template-parts/navigation/nav', 'primary' ); ?>
                        <?php get_template_part( 'template-parts/navigation/nav', 'social' ); ?>

                    </div>
                </div>

                <div class="site-branding" <?php // WP Custom Header
				if ( has_header_image() ) { ?> style="background-image: url(
                    <?php header_image(); ?>);"
                    <?php } ?>>
                    <?php the_custom_logo();
						if ( is_front_page() && is_home() ) :
							?>
									<h1 class="site-title">
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
											<?php bloginfo( 'name' ); ?>
										</a>
									</h1>
									<?php
						else :
					?>
						<p class="site-title">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
								<?php bloginfo( 'name' ); ?>
							</a>
						</p>
						<?php
			endif;
			$salal_description = get_bloginfo( 'description', 'display' );
			if ( $salal_description || is_customize_preview() ) :
				?>
                                <p class="site-description">
                                    <?php echo $salal_description; /* WPCS: xss ok. */ ?>
                                </p>
                                <?php endif; ?>
                </div>
                <!-- .site-branding -->

                <?php do_action( 'salal_post_slider' ); ?>
				<?php do_action( 'salal_banner' ); ?>
				<?php do_action( 'salal_breadcrumbs' ); ?>
				
            </header>
            <!-- #masthead -->

            <?php do_action( 'salal_after_header' ); ?>

            <div id="content-wide-wrapper">
                <div id="content" class="site-content container">
