<?php
/**
 * Upgrade Control for the Customizer
 *
 * @package Salal
 */

/**
 * Make sure that custom controls are only defined in the Customizer
 */
if ( class_exists( 'WP_Customize_Control' ) ) :

	/**
	 * Displays the upgrade teasers in thhe Pro Version / More Features section.
	 */
	class Salal_Customize_Upgrade_Control extends WP_Customize_Control {
		/**
		 * Render Control
		 */
		public function render_content() {
			?>

    <div class="upgrade-pro-version">
        <span class="customize-control-title"><?php esc_html_e( 'Get the Pro version', 'salal' ); ?></span>

        <span class="textfield">
					<?php printf( 
					/* translators: %s: is for the theme name */
					esc_html__( 'Opt in for the %s Pro version and get additional features and advanced customization options.', 'salal' ), 'Salal' ); ?>
				</span>

        <p>
            <a href="<?php echo esc_url( __( 'https://www.roughpixels.com/salal-wordpress-theme/', 'salal' ) ); ?>" target="_blank" class="button button-secondary">
                <?php printf( 
						/* translators: %s: is for the theme name */
						esc_html__( 'Learn more about %s Pro', 'salal' ), 'Salal' ); ?>
            </a>
        </p>

    </div>

    <?php
		}
	}

endif;
