<?php
/**
 * Layout Settings
 *
 * Register Layout section, settings and controls for Theme Customizer
 *
 * @package Salal
 */

/**
 * Adds all layout settings to the Customizer
 *
 * @param object $wp_customize / Customizer Object.
 */
function salal_customize_register_colour_settings( $wp_customize ) {


// Site Title Colour
 	$wp_customize->add_setting( 'salal_sitetitle_colour', array(
		'default'        => '#161616',
		'transport'      => 'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_sitetitle_colour', array(
		'label'   => esc_html__( 'Site Title Colour', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_sitetitle_colour',
	) ) );
	
// Site Title tagline
 	$wp_customize->add_setting( 'salal_tagline_colour', array(
		'default'        => '#a1a1a1',
		'transport'      => 'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_tagline_colour', array(
		'label'   => esc_html__( 'Site Tagline Colour', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_tagline_colour',
	) ) );		
	
// Accent Colour 
 	$wp_customize->add_setting( 'salal_accent_colour', array(
		'default'        => '#343f58',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_accent_colour', array(
		'label'   => esc_html__( 'Gutenberg Accent Colour', 'salal' ),
		'description'   => esc_html__( 'This is your accent colour when using the Gutenberg editor.', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_accent_colour',
	) ) );		
		
// Primary Colour
 	$wp_customize->add_setting( 'salal_first_colour', array(
		'default'        => '#343f58',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_first_colour', array(
		'label'   => esc_html__( 'First Colour', 'salal' ),
		'description'   => esc_html__( 'This will change elements that use the midnight dark blue colour.', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_first_colour',
	) ) );		
	
// Secondary Colour
 	$wp_customize->add_setting( 'salal_second_colour', array(
		'default'        => '#c39f76',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_second_colour', array(
		'label'   => esc_html__( 'Second Colour', 'salal' ),
		'description'   => esc_html__( 'This will change elements that use the coffee colour.', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_second_colour',
	) ) );		
	
// Third Colour
 	$wp_customize->add_setting( 'salal_third_colour', array(
		'default'        => '#d569a6',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_third_colour', array(
		'label'   => esc_html__( 'Third Colour', 'salal' ),
		'description'   => esc_html__( 'This will change elements that use the spicy magenta colour.', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_third_colour',
	) ) );	
	
// fourth Colour
 	$wp_customize->add_setting( 'salal_fourth_colour', array(
		'default'        => '#161616',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_fourth_colour', array(
		'label'   => esc_html__( 'Fourth Colour', 'salal' ),
		'description'   => esc_html__( 'This will change elements that use the dark grey colour.', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_fourth_colour',
	) ) );	
	
// Dropcap Colour
 	$wp_customize->add_setting( 'salal_dropcap_colour', array(
		'default'        => '#161616',
		'sanitize_callback' => 'sanitize_hex_color',
	) );	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'salal_dropcap_colour', array(
		'label'   => esc_html__( 'Dropcap Colour', 'salal' ),
		'section' => 'colors',
		'settings'   => 'salal_dropcap_colour',
	) ) );	
	
}
add_action( 'customize_register', 'salal_customize_register_colour_settings' );
