<?php
/**
 * Add inline styles to the head area
 * @package Salal
*/
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

 // Dynamic styles
function salal_inline_styles($salal_customizer_css) {
	
// Get theme options
$theme_options = salal_theme_options();

// BEGIN CUSTOM CSS	
	
// Content Sizes		
$salal_header_nav_width   = esc_attr(get_theme_mod( 'salal_header_nav_width', '70' ).'%' );	
$salal_footer_width   = esc_attr(get_theme_mod( 'salal_footer_width', '70' ).'%' );
$salal_bottom_sidebar_width   = esc_attr(get_theme_mod( 'salal_bottom_sidebar_width', '70' ).'%' );
$salal_customizer_css .="
	@media (min-width: 992px) {
	.site-header .container {max-width: $salal_header_nav_width;}
	#footer-content {max-width: $salal_footer_width;} 
	#bottom-sidebar .widget-area {max-width: $salal_bottom_sidebar_width;}
	} ";	
	
// Colours
$salal_accent_colour = esc_attr(get_theme_mod( 'salal_accent_colour', '#343f58' ));
$salal_sitetitle_colour = esc_attr(get_theme_mod( 'salal_sitetitle_colour', '#161616' ));	
$salal_tagline_colour = esc_attr(get_theme_mod( 'salal_tagline_colour', '#a1a1a1' ));
$salal_accent_colour = esc_attr(get_theme_mod( 'salal_accent_colour', '#343f58' ));
$salal_second_colour = esc_attr(get_theme_mod( 'salal_second_colour', '#c39f76' ));
$salal_third_colour = esc_attr(get_theme_mod( 'salal_third_colour', '#d569a6' ));
$salal_fourth_colour = esc_attr(get_theme_mod( 'salal_fourth_colour', '#161616' ));
$salal_slider_bg = esc_attr(get_theme_mod( 'salal_slider_bg', '#eef1f7' ));
$salal_customizer_css .= "
@media (max-width: 575px) {
	#header-social-icons {background-color: $salal_fourth_colour;) }
	}
	.site-title a, .site-title a:visited {color: $salal_sitetitle_colour;}
	.site-description {color: $salal_tagline_colour;}
	.owl-carousel {background-color: $salal_slider_bg;}
	.owl-nav .owl-prev, .owl-nav .owl-next {background-color: $salal_accent_colour; }
	.pagination .current, .pagination .page-numbers:hover, .pagination .page-numbers:active {background-color: $salal_accent_colour; border-color: $salal_accent_colour; }
	:root {
	--midnight-blue: $salal_accent_colour;	
	--coffee: $salal_second_colour;	
	--spice-magenta: $salal_third_colour;		
	--button-bg: $salal_accent_colour;
	--widget-title-bg: $salal_accent_colour;
	--nav-bg-color: $salal_accent_colour;
	--submenu-bg-color: $salal_accent_colour;
	--link-hover-color: $salal_second_colour;
	--link-coffee: $salal_second_colour;
	--bg-coffee: $salal_second_colour;
	--link-color: $salal_third_colour;
	--nav-footer-social-text-hcolor: $salal_third_colour;	
	} ";


// Dropcap
	$salal_dropcap_colour = esc_attr(get_theme_mod( 'salal_dropcap_colour', '#161616' ) );			
	$salal_customizer_css .="p.has-drop-cap:not(:focus):first-letter { color: $salal_dropcap_colour;	} ";

// Allow us to hook CSS into our output
do_action( 'salal_add_inline_css' );
		
// END CUSTOM CSS - Output all the styles
wp_add_inline_style( 'salal-stylesheet', $salal_customizer_css );
	
}
add_action( 'wp_enqueue_scripts', 'salal_inline_styles' );
