<?php
/**
 * Theme Info Page
 * Special thanks to the Consulting theme by ThinkUpThemes for this info page to be used as a foundation.
 * @package Salal
 */
  
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function salal_info() {    


	// About page instance
	// Get theme data
	$theme_data     = wp_get_theme();

	// Get name of parent theme

		$theme_name    = trim( ucwords( str_replace( ' (Lite)', '', $theme_data->get( 'Name' ) ) ) );
		$theme_slug    = trim( strtolower( str_replace( ' (Lite)', '-lite', $theme_data->get( 'Name' ) ) ) );
		$theme_version = $theme_data->get( 'Version' );

	$config = array(
		// translators: %1$s: menu title under appearance
		'menu_name'             => sprintf( esc_html__( 'About %1$s', 'salal' ), ucfirst( $theme_name ) ),
		// translators: %1$s: page name 
		'page_name'             => sprintf( esc_html__( 'About %1$s', 'salal' ), ucfirst( $theme_name ) ),
		// translators: %1$s: welcome title 
		'welcome_title'         => sprintf( esc_html__( 'Welcome to %1$s - v', 'salal' ), ucfirst( $theme_name ) ),
		// translators: %1$s: welcome content 
		'welcome_content'       => sprintf( esc_html__(  'Introducing  %1$s &ndash; a wonderful responsive WordPress blog theme enhanced for the new upcoming Gutenberg editor (WordPress 5.0), with powerful Theme Options using the WordPress Customizer with live real-time previews as you make custom changes. Packed with features that you would normally find in pro versions, Salal will set your personal blog apart from others. .', 'salal' ), ucfirst( $theme_name ) ),
		
		/**
		 * Tabs array.
		 *
		 * The key needs to be ONLY consisted from letters and underscores. If we want to define outside the class a function to render the tab,
		 * the will be the name of the function which will be used to render the tab content.
		 */
		'upgrade'             => array(
			'upgrade_url'     => 'https://www.roughpixels.com/salal-wordpress-theme/',
			'price_discount'  => __( 'Upgrade for $39 (Save $20)', 'salal' ),
			'price_normal'	  => __( 'Normally $59. Use coupon at checkout.', 'salal' ),
			'coupon'	      =>  __( 'RPSAVE20', 'salal' ),
			'button'	      => __( 'Get the Pro', 'salal' ),
		),		
		'tabs'                 => array(
			'getting_started'  => esc_html__( 'Getting Started', 'salal' ),
			'gutenberg'  => esc_html__( 'Gutenberg Support', 'salal' ),
			'support_content'  => esc_html__( 'Support', 'salal' ),
			'changelog'           => esc_html__( 'Changelog', 'salal' ),
		),
		// Getting started tab
		'getting_started' => array(
			'first' => array (
				'title'               => esc_html__( 'Setup Documentation', 'salal' ),
				'text'                => sprintf( esc_html__( 'To help you get started with the initial setup of this theme and to learn about the various features, you can check out detailed setup documentation.', 'salal' ) ),
				// translators: %1$s: theme name 
				'button_label'        => sprintf( esc_html__( 'View %1$s Tutorials', 'salal' ), ucfirst( $theme_name ) ),
				'button_link'         => esc_url( '//www.roughpixels.com/theme-documentation/setup-salal' ),
				'is_button'           => true,
				'recommended_actions' => false,
                'is_new_tab'          => true,
			),
			'second' => array(
				'title'               => esc_html__( 'Go to Customizer', 'salal' ),
				'text'                => esc_html__( 'Using the WordPress Customizer you can easily customize every aspect of the theme.', 'salal' ),
				'button_label'        => esc_html__( 'Go to Customizer', 'salal' ),
				'button_link'         => esc_url( admin_url( 'customize.php' ) ),
				'is_button'           => true,
				'recommended_actions' => false,
                'is_new_tab'          => true,
			),
			
			'third' => array(
				'title'               => esc_html__( 'Using a Child Theme', 'salal' ),
				'text'                => sprintf( esc_html__( 'If you plan to customize this theme, I recommend looking into using a child theme. To learn more about child themes and why it\'s important to use one, check out the WordPress documentation.', 'salal' ) ),
				'button_label'        => sprintf( esc_html__( 'Child Themes', 'salal' ), ucfirst( $theme_name ) ),
				'button_link'         => esc_url( '//developer.wordpress.org/themes/advanced-topics/child-themes/' ),
				'is_button'           => true,
				'recommended_actions' => false,
                'is_new_tab'          => true,
			),		
		),

		// Gutenberg tab
		'gutenberg' => array(
			'first' => array (
				'title'               => esc_html__( 'Gutenberg Ready', 'salal' ),
				'text'                => sprintf( esc_html__( 'This theme supports most of the features relating to the upcoming Gutenberg editor. As Gutenberg continues to evolve in development, we will continue to update this theme to fully support the new editor.', 'salal' ) ),
				'button_label'        => sprintf( esc_html__( 'Gutenberg Info', 'salal' ), ucfirst( $theme_name ) ),
				'button_link'         => esc_url( '//www.wordpress.org/gutenberg/' ),
				'is_button'           => true,
				'recommended_actions' => false,
                'is_new_tab'          => true,
			),	
		),

		
		// Changelog content tab.
		'changelog'      => array(
			'first' => array (				
				'title'        => esc_html__( 'Changelog', 'salal' ),
				'text'         => esc_html__( 'I generally recommend you always read the CHANGELOG before updating so that you can see what was fixed, changed, deleted, or added to the theme.', 'salal' ),	
				'button_label' => '',
				'button_link'  => '',
				'is_button'    => false,
				'is_new_tab'   => false,				
				),
		),			
		// Support content tab.
		'support_content'      => array(
			'first' => array (
				'title'        => esc_html__( 'Free Support', 'salal' ),
				'icon'         => 'dashicons dashicons-sos',
				'text'         => esc_html__( 'If you experience any problems, please post your questions to support and we will be more than happy to help you out.', 'salal' ),
				'button_label' => esc_html__( 'Get Free Support', 'salal' ),
				'button_link'  => esc_url( '//wordpress.org/support/theme/salal' ),
				'is_button'    => true,
				'is_new_tab'   => true,
			),

		),	

	);
	salal_info_page::init( $config );

}

add_action('after_setup_theme', 'salal_info');

?>