<?php
/**
 * The template for displaying articles in the loop with post excerpts
 *
 * @package Salal
 */

?>

    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

        <?php salal_post_image_archives(); ?>

        <div class="post-content">

            <header class="entry-header">

            <?php
			// get our first category
			if( esc_attr(get_theme_mod( 'salal_show_post_cat', true ) ) ) {
				salal_get_first_cat_name();
			}
			
			if( is_sticky()  && ! is_archive() && ! has_post_thumbnail() && esc_attr(get_theme_mod( 'salal_show_featured_tag', true ) ) ) : 
				echo '<div class="featured">', esc_html_e('Featured', 'salal'), '</div>';
			endif; 
			
			the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

            <?php salal_entry_meta(); ?>

            </header>
            <!-- .entry-header -->

            <div class="entry-content entry-excerpt clearfix">
                <?php the_excerpt(); ?>
                <?php salal_more_link(); ?>
            </div>
            <!-- .entry-content -->

        </div>

        <footer class="entry-footer post-details">
            <?php //salal_entry_footer(); ?>
        </footer>
        <!-- .entry-footer -->

    </article>
