<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Salal
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>

    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

        <?php salal_post_image_archives(); ?>

        <div class="post-content">

            <header class="entry-header">

             <?php
			// get our first category
			if( esc_attr(get_theme_mod( 'salal_show_post_cat', true ) ) ) {
				salal_get_first_cat_name();
			}
			
			if( is_sticky()  && ! is_archive() && ! has_post_thumbnail() && esc_attr(get_theme_mod( 'salal_show_featured_tag', true ) ) ) : 
				echo '<div class="featured">', esc_html_e('Featured', 'salal'), '</div>';
			endif; 
			
			the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

            <?php salal_entry_meta(); ?>

            </header>
            <!-- .entry-header -->

            <div class="entry-content clearfix">

                <?php the_content( esc_html( salal_get_option( 'read_more_text' ) ) ); ?>

                <?php salal_multipage_navigation(); ?>

            </div>
            <!-- .entry-content -->

        </div>

    </article>
